/*
 *  $Id: sca_mk_idx.c,v 1.2 2001/01/15 20:46:55 ezk Exp $
 */
#include <stdio.h>
#include <limits.h>
#include <fcntl.h>
#include <sys/stat.h>
#include <sys/mman.h>
#include <string.h>
#include <errno.h>

#include "sca_aux.h"
#include "sca_code.h"

extern int chunksize;	/* Must be the same as used to create the
			   file (put in header?) */
extern int do_fast_tails;


void
usage(const char *progname)
{
  fprintf(stderr,
	  "Usage: %s [-c chunksize] [-f] file1 [file2 file3 ...]\n",
	  progname);
}


int
main(int argc, char **argv)
{
  int i, rc = 0;

  if (argc < 2) {
    usage(argv[0]);
    exit(1);
  }

  while((i = getopt(argc, argv, "c:f")) != EOF) {
    switch(i) {
    case 'c':
      chunksize = atoi(optarg);
      if (chunksize < 0) {
	fprintf(stderr, "Please use a positive chunk size\n");
	exit(1);
      }
      break;
    case 'f':
      do_fast_tails = 1;
      break;
    default:
      usage(argv[0]);
      exit(1);
    }
  }

  for(i=optind; i<argc; i++) {
    if ((rc = sca_fix_idx(argv[i]))) {
      fprintf(stderr, "Error fixing %s\n", argv[i]);
    }
  }
  exit(0);
}
